.controls {
    margin: 20px;
    display: flex;
    justify-content: center;
}

.controls button {
    padding: 10px 15px;
    margin-right: 10px;
    cursor: pointer;
}

.activebt{
    background-color: var(--secondary-color);
    color: white;
    animation-name: change;
    animation-duration: 4s;
}

@keyframes change {
    from {background-color: #ccc;}
    to {background-color: var(--secondary-color);}
  }

/*directory grid*/

.directory {
    display: grid;
    gap: 10px;
}

.directory.grid-view {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    margin-top: 15px;
    margin-bottom: 20px;
}

.directory.grid-view .client-info-body {
    max-width: 90%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2%;
}

/* List view styles */
.directory.list-view {
    grid-template-columns: none;
    max-width: 800px;
    margin: 0 auto;
}

.directory.list-view .card {
    border: 1px solid #ccc;
    padding: 15px;
    border-radius: 5px;
    background-color: #f9f9f9;
    display: flex;
    align-items: center;

}

.directory.list-view .card img {
    margin-right: 15px;
}

.directory.list-view .client-info-head {
    width: 20%;
    margin-left: 5%;
}

.directory.list-view .client-info-body {
    width: 50%;
    margin-left: 5%;
}

.directory.list-view .card .url {
    margin-left: 2rem;
}

.card {
    border: 1px solid #ccc;
    border-radius: 8px;
    padding: 15px;
    background-color: #f9f9f9;
    text-align: center;
    box-shadow: 33px 35px 49px -20px rgba(171, 152, 171, 0.88);
}

.card img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
    margin-bottom: 15px;
    box-shadow: 11px 7px 90px -20px rgba(80, 150, 235, 1);

}

.card h3 {
    margin: 5px 0;
}

.card p {
    margin: 0;
    color: #555;
}

.card a {
    text-decoration: none;
    color: #007BFF;
}

.client-info-body {
    display: flex;
    padding: 10px;
    justify-content: space-around;
    align-items: center;
}

.client-info-body img {
    padding: 5px;
}


main {
    overflow-y: auto;
}